Bug 1217904 - pep8/pylint fixes
Summary: pep8/pylint fixes
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-review-plugin-java
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-02 18:00 UTC by Alec Leamas
Modified: 2016-12-20 13:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 13:38:38 UTC
Type: Bug


Attachments (Terms of Use)
pep8 patch (405 bytes, patch)
2015-05-02 18:00 UTC, Alec Leamas
no flags Details | Diff
pep8 config file (54 bytes, text/plain)
2015-05-26 07:43 UTC, Alec Leamas
no flags Details
pylint config file. (8.40 KB, text/plain)
2015-05-26 07:46 UTC, Alec Leamas
no flags Details

Description Alec Leamas 2015-05-02 18:00:14 UTC
Created attachment 1021171 [details]
pep8 patch

Description of problem:

Last update introduced some pep8 errors. 

The overall problem is how to handle the pylint.conf and pep8.conf which rare part of the main fedora-review package. Perhaps this package (the plugin) should use them as available ni fedora-review.

Comment 1 Michael Simacek 2015-05-04 06:37:40 UTC
Applied as upstream commit 492b020

Comment 2 Alec Leamas 2015-05-26 07:43:42 UTC
Created attachment 1029798 [details]
pep8 config file

Comment 3 Alec Leamas 2015-05-26 07:46:41 UTC
Created attachment 1029799 [details]
pylint config file.

I have updates the fedora-review package (yet not released) to include pylint.conf and pep8.conf (attached). Could you update the release process for your plugin to include static checking with these tools as described in fedora-review's CONTRIBUTE?

Comment 4 Jan Kurik 2015-07-15 14:12:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Fedora End Of Life 2016-11-24 11:45:51 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2016-12-20 13:38:38 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.